Delete a contact point
DELETE /api/contact_points/{contact_point_id}
DELETE /api/contact_points/{contact_point_id}Interactive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
contact_point_id*string
Contact point ID.
Match
^[a-zA-Z0-9-_.]+$Length
1 <= length <= 256Response Body
application/json
application/json
curl -X DELETE "$API_BASE_URL/api/contact_points/bd58fce2-b6cc-4d2d-a53c-6ce11b19c101"Operation completed successfully with no response body.
""Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
DELETE /api/contact_points/{contact_point_id}
Delete a contact point
Delete a contact point so it can no longer be used as an alert notification channel. Ensure dependent alert policies are updated to avoid delivery failures.
Required IAM Permission: Action iam:DeleteContactPoint, Resource arn:api7:iam:contactpoint/%s
Parameters
contact_point_id(path, string, required): Contact point ID.
Responses
200: Operation completed successfully with no response body.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X DELETE '$API_BASE_URL/api/contact_points/{contact_point_id}'